"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IP = void 0;
const Ip_1 = __importDefault(require("../webService/api/Ip"));
const number_1 = require("./../parser/number");
class IP {
    constructor(ip) {
        this.ip = ip;
        this.getIpInfo = (ip) => __awaiter(this, void 0, void 0, function* () {
            const apiCall = (yield this.IpInstance).get(`${ip || this.ip}`);
            const res = (yield apiCall).data;
            return res;
        });
        this.IsIpFromIran = (ip) => __awaiter(this, void 0, void 0, function* () {
            const res = (yield this.getIpInfo(ip)).data;
            if (res && res.country === "Iran")
                return true;
            return false;
        });
        this.ip = (0, number_1.Fa_To_En)(ip);
        this.IpInstance = new Ip_1.default().IpCreate();
    }
}
exports.IP = IP;
